# Schema for the configuration files of the Display Suite module.

ds.settings:
  type: config_object
  label: 'Display Suite settings'
  mapping:
    disabled:
      type: boolean
      label: 'Disable Display Suite attaching fields'
    field_template:
      type: boolean
      label: 'Uses field templates'
    ft-default:
      type: string
      label: 'The default template'
    ft-show-colon:
      type: boolean
      label: 'Kill the label colon'
    ft-layout-builder:
      type: boolean
      label: 'Enable field templates on Layout Builder field blocks'
    classes:
      type: mapping
      label: 'Display Suite classes'
      mapping:
        region:
          type: sequence
          label: 'Region classes'
          sequence:
            - type: string
              label: 'Region class'
        field:
          type: sequence
          label: 'Field classes'
          sequence:
            - type: string
              label: 'Field class'
    use_field_names:
      type: boolean
      label: 'Use field names as field keys'
